> ## Documentation Index
> Fetch the complete documentation index at: https://hoalulab.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Place order (derivative)

> Place a normal derivative order.



## OpenAPI

````yaml /en/openapi/tcbs-v1.yaml post /khronos/v1/order/place
openapi: 3.0.3
info:
  title: TCBS iFlash Open API
  description: REST APIs for trading stocks and derivatives on TCBS.
  version: 1.0.0
  contact:
    email: openapi@tcbs.com.vn
servers:
  - url: https://openapi.tcbs.com.vn
    description: Production
security:
  - bearerAuth: []
paths:
  /khronos/v1/order/place:
    post:
      summary: Place order (derivative)
      description: Place a normal derivative order.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                accountId:
                  type: string
                  description: Custody code.
                subAccountId:
                  type: string
                  description: Derivative sub-account number.
                side:
                  allOf:
                    - $ref: '#/components/schemas/DerivativeSide'
                  description: B = buy, S = sell.
                symbol:
                  type: string
                  description: Derivative code, e.g. VN30F2103.
                price:
                  type: number
                  format: double
                  description: Order price (within floor-ceiling range).
                volume:
                  type: integer
                  format: int64
                  description: Quantity.
                orderType:
                  type: string
                  description: 0 = regular; SLP=1.0,0.8 = SL/TP; ABI=contract = arbitrage.
                refId:
                  type: string
                  description: >-
                    Unique random id identifying the order channel
                    (H.<sequence>). You can use a UUID for this case.
              required:
                - accountId
                - subAccountId
                - side
                - symbol
                - price
                - volume
                - orderType
                - refId
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  cmd:
                    type: string
                    description: Command name (echo).
                  rc:
                    type: string
                    description: Result code, 1 = success.
                  rs:
                    type: string
                    description: Error message (if any).
                  oID:
                    type: string
                    description: Order session ID.
                  data[].orderNo:
                    type: string
                    description: Order number.
                  data[].pk_orderNo:
                    type: string
                    description: Order key.
                  data[].showPrice:
                    type: string
                    description: Display price.
components:
  schemas:
    DerivativeSide:
      type: string
      description: 'Chiều lệnh phái sinh: B = mua, S = bán.'
      enum:
        - B
        - S
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.